## poti 4.2

=== CMakeLists.txt ===
# This file is part of Poti
#
# Poti is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Poti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser Public License for more details.
#
# You should have received a copy of the GNU Lesser Public License
# along with Poti. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(poti)
SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log --oneline -1" OUTPUT_VARIABLE "POTI_GITVERSION")
EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log -n 1 --format=%ai" OUTPUT_VARIABLE "POTI_GITDATE")

SET(CMAKE_C_FLAGS "-Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -Wpointer-arith -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings -Wno-unused-function -Wno-unused-parameter -Wno-strict-aliasing -Wno-format-nonliteral -Werror ")

# poti_config.h.in file
CONFIGURE_FILE("${poti_SOURCE_DIR}/include/poti_config.h.in" "${CMAKE_BINARY_DIR}/include/poti_config.h" ESCAPE_QUOTES @ONLY IMMEDIATE)


SET(POTI_SRC src/poti.c src/poti_header.c src/poti_events.c)
SET(POTI_HEADERS include/poti.h ${CMAKE_BINARY_DIR}/include/poti_config.h)

INCLUDE_DIRECTORIES(${poti_SOURCE_DIR}/include/)
INCLUDE_DIRECTORIES(${poti_SOURCE_DIR}/src/)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/include/)

ADD_LIBRARY(poti SHARED ${POTI_SRC})
SET_TARGET_PROPERTIES(
  poti
PROPERTIES
# bump when new function are added in the library
  VERSION 4.2
# bump when ABI is broken (symbols removed or parameters changed)
  SOVERSION 4
)
# bump when the API change (new functions in the header file)
SET(POTI_APIVERSION 2)

INSTALL(TARGETS poti
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)
INSTALL(FILES include/poti.h
  DESTINATION include)

ADD_SUBDIRECTORY(examples)
ADD_SUBDIRECTORY(pkgconfig)

INSTALL(TARGETS poti DESTINATION lib)
INSTALL(FILES ${POTI_HEADERS} DESTINATION include)

=== examples/CMakeLists.txt ===
# This file is part of Poti
#
# Poti is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Poti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser Public License for more details.
#
# You should have received a copy of the GNU Lesser Public License
# along with Poti. If not, see <http://www.gnu.org/licenses/>.
ADD_EXECUTABLE(main_example main_example.c)
TARGET_LINK_LIBRARIES(main_example poti)

ADD_EXECUTABLE(vite-1.2 vite-1.2.c)
TARGET_LINK_LIBRARIES(vite-1.2 poti)

ADD_EXECUTABLE(vite-svn vite-svn.c)
TARGET_LINK_LIBRARIES(vite-svn poti)

=== debian/changelog ===
poti (4.2-1) experimental; urgency=low

  * Initial release (Closes: #698152)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 14 Jan 2013 15:10:26 +0100

=== debian/control ===
Source: poti
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake
Standards-Version: 3.9.3
Section: libs
Homepage: https://github.com/schnorr/poti
Vcs-Git: git://git.debian.org/collab-maint/poti.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/poti.git;a=summary

Package: libpoti4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create trace files in the Paje file format
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the run-time files.

Package: libpoti-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpoti4 (= ${binary:Version}), ${misc:Depends}
Description: library to create trace files in the Paje file format (dev)
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the development files (headers, etc.)

Package: libpoti-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libpoti4 (= ${binary:Version})
Description: Debug symbols for the poti library
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains detached debugging symbols for the libpoti library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_OPTIONS=

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir := /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ $(DH_OPTIONS)

.PHONE: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp$(libdir)
	mv debian/tmp/usr/lib/libpoti* debian/tmp$(libdir)
	mv debian/tmp/usr/lib/pkgconfig debian/tmp$(libdir)
	sed -e 's,/lib$$,/lib/$(DEB_HOST_MULTIARCH),' \
		-i debian/tmp$(libdir)/pkgconfig/poti.pc

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libpoti-dbg

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

clean:
	dh clean $(DH_OPTIONS)
	$(RM) -r build
	$(RM) -r stamp-*
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

## poti 4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,17 +15,16 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 PROJECT(poti)
 SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
+enable_testing()
 
-EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log --oneline -1" OUTPUT_VARIABLE "POTI_GITVERSION")
-EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log -n 1 --format=%ai" OUTPUT_VARIABLE "POTI_GITDATE")
-
-SET(CMAKE_C_FLAGS "-Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -Wpointer-arith -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings -Wno-unused-function -Wno-unused-parameter -Wno-strict-aliasing -Wno-format-nonliteral -Werror ")
+EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log --oneline -1 2>/dev/null || echo '(unknown)'" OUTPUT_VARIABLE "POTI_GITVERSION")
+EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log -n 1 --format=%ai 2>/dev/null || echo '(unknown)'" OUTPUT_VARIABLE "POTI_GITDATE")
 
 # poti_config.h.in file
 CONFIGURE_FILE("${poti_SOURCE_DIR}/include/poti_config.h.in" "${CMAKE_BINARY_DIR}/include/poti_config.h" ESCAPE_QUOTES @ONLY IMMEDIATE)
 
 
-SET(POTI_SRC src/poti.c src/poti_header.c src/poti_events.c)
+SET(POTI_SRC src/poti.c src/poti_header.c src/poti_header_default.c src/poti_events.c src/poti_events_unique.c src/poti_events_unaliased.c)
 SET(POTI_HEADERS include/poti.h ${CMAKE_BINARY_DIR}/include/poti_config.h)
 
 INCLUDE_DIRECTORIES(${poti_SOURCE_DIR}/include/)
@@ -37,12 +36,12 @@
   poti
 PROPERTIES
 # bump when new function are added in the library
-  VERSION 4.2
+  VERSION 4.9
 # bump when ABI is broken (symbols removed or parameters changed)
-  SOVERSION 4
+  SOVERSION 8
 )
 # bump when the API change (new functions in the header file)
-SET(POTI_APIVERSION 2)
+SET(POTI_APIVERSION 6)
 
 INSTALL(TARGETS poti
   RUNTIME DESTINATION bin
@@ -58,3 +57,26 @@
 INSTALL(TARGETS poti DESTINATION lib)
 INSTALL(FILES ${POTI_HEADERS} DESTINATION include)
 
+
+#
+# test with tesh (thanks SimGrid team)
+#
+#testing the pajeng suite (with pj_dump and pj_validate) through tesh
+FILE(COPY ${CMAKE_HOME_DIRECTORY}/tests/scripts/ DESTINATION ${CMAKE_BINARY_DIR}/bin)
+
+# the macro to add tesh'es
+SET(TESH_COMMAND perl -I${CMAKE_BINARY_DIR}/bin/ ${CMAKE_BINARY_DIR}/bin/tesh)
+MACRO(ADD_TESH NAME)
+  SET(ARGT ${ARGV})
+  LIST(REMOVE_AT ARGT 0)
+  ADD_TEST(${NAME} ${TESH_COMMAND} ${TESH_OPTION} ${ARGT})
+ENDMACRO()
+
+# include all tesh scripts in the tests directory
+FILE(GLOB tests "${CMAKE_HOME_DIRECTORY}/tests/*.tesh")
+LIST(SORT tests)
+FOREACH(file ${tests})
+  STRING(REGEX REPLACE "^.*/tests/" "" name ${file})
+  STRING(REGEX REPLACE ".tesh$" "" testname ${name})
+  ADD_TESH(${testname}  --cd "${CMAKE_BINARY_DIR}" ${file})
+ENDFOREACH()

## poti 5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,13 +17,6 @@
 SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 enable_testing()
 
-EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log --oneline -1 2>/dev/null || echo '(unknown)'" OUTPUT_VARIABLE "POTI_GITVERSION")
-EXEC_PROGRAM("git --git-dir=${PROJECT_SOURCE_DIR}/.git log -n 1 --format=%ai 2>/dev/null || echo '(unknown)'" OUTPUT_VARIABLE "POTI_GITDATE")
-
-# poti_config.h.in file
-CONFIGURE_FILE("${poti_SOURCE_DIR}/include/poti_config.h.in" "${CMAKE_BINARY_DIR}/include/poti_config.h" ESCAPE_QUOTES @ONLY IMMEDIATE)
-
-
 SET(POTI_SRC src/poti.c src/poti_header.c src/poti_header_default.c src/poti_events.c src/poti_events_unique.c src/poti_events_unaliased.c)
 SET(POTI_HEADERS include/poti.h ${CMAKE_BINARY_DIR}/include/poti_config.h)
 
@@ -36,12 +29,17 @@
   poti
 PROPERTIES
 # bump when new function are added in the library
-  VERSION 4.9
+  VERSION 5.0
 # bump when ABI is broken (symbols removed or parameters changed)
   SOVERSION 8
 )
 # bump when the API change (new functions in the header file)
 SET(POTI_APIVERSION 6)
+
+get_target_property(POTI_VERSION poti VERSION)
+
+# poti_config.h.in file
+CONFIGURE_FILE("${poti_SOURCE_DIR}/include/poti_config.h.in" "${CMAKE_BINARY_DIR}/include/poti_config.h" ESCAPE_QUOTES @ONLY IMMEDIATE)
 
 INSTALL(TARGETS poti
   RUNTIME DESTINATION bin

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,30 @@
 
 ADD_EXECUTABLE(vite-svn vite-svn.c)
 TARGET_LINK_LIBRARIES(vite-svn poti)
+
+ADD_EXECUTABLE(containers containers.c)
+TARGET_LINK_LIBRARIES(containers poti)
+
+ADD_EXECUTABLE(events events.c)
+TARGET_LINK_LIBRARIES(events poti)
+
+ADD_EXECUTABLE(links links.c)
+TARGET_LINK_LIBRARIES(links poti)
+
+ADD_EXECUTABLE(states states.c)
+TARGET_LINK_LIBRARIES(states poti)
+
+ADD_EXECUTABLE(states_unaliased states_unaliased.c)
+TARGET_LINK_LIBRARIES(states_unaliased poti)
+
+ADD_EXECUTABLE(variables variables.c)
+TARGET_LINK_LIBRARIES(variables poti)
+
+ADD_EXECUTABLE(header header.c)
+TARGET_LINK_LIBRARIES(header poti)
+
+ADD_EXECUTABLE(eventdef eventdef.c)
+TARGET_LINK_LIBRARIES(eventdef poti)
+
+ADD_EXECUTABLE(tracegen tracegen.c)
+TARGET_LINK_LIBRARIES(tracegen poti)

=== pkgconfig/CMakeLists.txt ===
# pkgconfig CmakeLists.txt

configure_file (${poti_SOURCE_DIR}/pkgconfig/poti.pc.cmake ${poti_BINARY_DIR}/pkgconfig/poti.pc @ONLY)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/poti.pc DESTINATION lib/pkgconfig)

=== debian/changelog ===
poti (5.0-1) experimental; urgency=medium

  * New upstream version
  * Fix "please make the build reproducible" (Closes: #860200)
    (problematic lines have been removed upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 03 Sep 2020 07:51:08 +0200

poti (4.9-1) experimental; urgency=medium

  * New upstream version
    Fix small bugs from 4.6

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 May 2017 16:44:50 +0200

poti (4.6-1) experimental; urgency=medium

  * New upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 May 2017 15:08:14 +0200

=== debian/control ===
Source: poti
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper, debhelper-compat (=13), cmake
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/schnorr/poti
Vcs-Git: https://salsa.debian.org/debian/poti.git
Vcs-Browser: https://salsa.debian.org/debian/poti
Rules-Requires-Root: no

Package: libpoti8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create trace files in the Paje file format
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the run-time files.

Package: libpoti-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpoti8 (= ${binary:Version}), ${misc:Depends}
Description: library to create trace files in the Paje file format (dev)
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the development files (headers, etc.)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 
 DH_OPTIONS=
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+
+include /usr/share/dpkg/architecture.mk
 libdir := /usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
@@ -30,14 +32,6 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
 
-.PHONY: override_dh_strip
-override_dh_strip:
-	dh_strip --dbg-package=libpoti-dbg
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --list-missing
-
 clean:
 	dh clean $(DH_OPTIONS)
 	$(RM) -r build
@@ -47,4 +41,3 @@
 	-test -d .git && git checkout -- $$(git status | \
 		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
 		grep -v '^debian/')
-

=== debian/watch ===
version=3
https://github.com/schnorr/poti/tags .*/poti-(\d[\d\.]+)\.tar\.gz
